/*
 *  callbacks.h: event and signal handlers
 *
 *  Copyright (C) 2010- John Coppens (john@jcoppens.com)        
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 3 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <gtk/gtk.h>


void
on_sine1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cosine1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_tangent1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_secant1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cosecant1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cotangent1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_arcsine1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_arccosine1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_arctangent1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_arcsecant1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_arccosecant1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_arccotangent1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hyperbolic_sine1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hyperbolic_cosine1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hyperbolic_tangent1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hyperbolic_secant1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hyperbolic_cosecant1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hyperbolic_cotangent1_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_inverted_hyperbolic_sine1_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_inverted_hyperbolic_cosine1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_inverted_hyperbolic_tangent1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_inverted_hyperbolic_secant1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_inverted_hyperbolic_cosecant1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_inverted_hyperbolic_cotangent1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_natural_logarithm1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_base_10_logarithm1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_base_2_logarithm1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gamma_function1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_log_gamma_function1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_zeta_function1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_sampling_function1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_nearest_integer1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_absolute_value1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ones_complement1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exponential_integral1_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exponent1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_factorial1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_square_root1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cube_root1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_next_lower_integer1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_next_higher_integer1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_random_value1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_random_integer1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_constants1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_pi1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_e1_activate                         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_eurlers_constant1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gravity1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_coulomb1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_universal_constants1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_electromagnetic_constants1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_bohr_magneton1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_nuclear_magneton1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_conductance_quantum1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_elementary_charge1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_josephson_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_von_klitzing_constant1_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_magnetic_flux_quantum1_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_catalan1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_eulers_constant1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_impedancevacuum1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_epsilon1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mu1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gravitational_constant1_activate    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_planck_constant1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_speed_of_light1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_alpha_particle_mass1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_bohr_radius1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_deuteron_mass1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_electron_mass1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_electron_radius1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_fermi_coupling_constant1_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_fine_structure_constant1_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hartree_energy1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_helion_mass1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_muon_mass1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_neutron_mass1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_proton_mass1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_rydberg_constant1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_tau_mass1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_atomic_mass_constant1_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_avogadros_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_boltzmann_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_faraday_constant1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_first_radiation_constant1_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_loschmidt_constant1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_molar_mass_constant1_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_molar_volumn_ideal_gas1_activate    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_second_radiation_constant1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_sigma1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_wien_displacement_law1_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_a_random_value1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_a_random_integer1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_pref_cancel_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_pref_ok_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_Clr_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_div_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_mul_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_sub_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_7_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_8_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_9_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_add_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_4_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_1_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_5_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_2_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_6_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_3_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_0_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_exec_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_E_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_D_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_C_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_B_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_A_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_F_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_mode_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_conv_family_cbbox_changed           (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_conv_from_treeview_cursor_changed   (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_conv_to_treeview_cursor_changed     (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_conv_cancel_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_conv_ok_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_ConversionsWindow_delete_event      (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_ConversionsWindow_realize           (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_VariablesWindow_delete_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_VariablesWindow_realize             (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_var_treeview_cursor_changed         (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_var_add_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_var_remove_btn_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_var_clear_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_var_cancel_btn_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_var_ok_btn_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_InspectorWindow_delete_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_InspectorWindow_realize             (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_insp_which_cbbox_changed            (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_insp_treeview_cursor_changed        (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_insp_ok_btn_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_MainWindow_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_MainWindow_realize                  (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_main_input_txtview_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_atomic_and_nuclear_constants1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
 
void
on_physio_chemical_constants1_activate (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_history1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_variables1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_conversions2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_decimal1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hexadecimal1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_octal1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_binary1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_recalculate1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_main_result_txtview_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_main_input_txtview_key_press_event  (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_PrefWindow_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_PrefWindow_realize                  (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_save_to_variable2_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_inspector1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_variables2_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_quit2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_to_variable3_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_conversions3_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_main_prec_scrollbar_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_main_prec_scrollbar_button_release_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_AddVariableWindow_realize           (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_AddVariableWindow_delete_event      (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_addvar_cancel_btn_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_addvar_ok_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_dec_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);


gboolean
on_main_eventbox_button_press_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_decimal2_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hexadecimal2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_octal2_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_binary2_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
